/**
 * README: Export Order
 *
 * Due to some classes having circular import bindings (whether at the top of the import chain or deeper in),
 * some exports here are in reverse order (such as Tween being exported before AbstractTween).
 * This is explained here: https://github.com/rollup/rollup/issues/845#issuecomment-240277194
 */

/**
 * @namespace tweenjs
 */

export { Event, EventDispatcher, Ticker } from "@createjs/core";

export { default as Tween } from "./Tween";
export { default as AbstractTween } from "./AbstractTween";
export { default as Timeline } from "./Timeline";
import * as Ease from "./Ease";
export { Ease };
